--- old/usr/src/uts/common/fs/zfs/dbuf.c	2014-07-28 07:44:22.803910322 -0400
+++ new/usr/src/uts/common/fs/zfs/dbuf.c	2014-07-28 07:44:22.809952778 -0400
@@ -175,7 +175,7 @@
 	db->db_hash_next = h->hash_table[idx];
 	h->hash_table[idx] = db;
 	mutex_exit(DBUF_HASH_MUTEX(h, idx));
-	atomic_add_64(&dbuf_hash_count, 1);
+	atomic_inc_64(&dbuf_hash_count);
 
 	return (NULL);
 }
@@ -210,7 +210,7 @@
 	*dbp = db->db_hash_next;
 	db->db_hash_next = NULL;
 	mutex_exit(DBUF_HASH_MUTEX(h, idx));
-	atomic_add_64(&dbuf_hash_count, -1);
+	atomic_dec_64(&dbuf_hash_count);
 }
 
 static arc_evict_func_t dbuf_do_evict;
